2026-04-14 07:05:42 UTC
574 MB
release
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PLATFORMlocal
TIKTOKEN_CACHE_DIR/app/.tiktoken
UV_PATH/usr/local/bin/uv
[#000] sha256:689b91d88a0f4086057ec826027b128902ecf2b516be510371c115bc55da19a6 - 4.94% (28.4 MB)
[#001] sha256:e034b25f7e029bffb2cc9d19c3a7438e0c19bbccc8b8f9c049ea2a5061efd097 - 0.0% (93 Bytes)
[#002] sha256:a15979ed10079d5f7f5b75655ce1ef5e2e1a7a42c82f4095c6502b60445fd44e - 71.19% (409 MB)
[#003] sha256:b23632915d47310ef27af60b5b9a931dc568c80cce593c4e2b3d03942ba06f6c - 11.89% (68.2 MB)
[#004] sha256:1ea5d68354c8b868874a6f04636ed825da5f8d93211c6618858b23649229f608 - 11.98% (68.7 MB)
/bin/sh -c #(nop) ARG RELEASE
2026-04-03 15:16:40 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2026-04-03 15:16:40 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=24.04
2026-04-03 15:16:42 UTC/bin/sh -c #(nop) ADD file:0f6466425c4f1800aae9224ddc3437b90c829cea58fb8edd5dde2f1eb0ee28da in /
2026-04-03 15:16:43 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-04-14 07:03:51 UTC (buildkit.dockerfile.v0)WORKDIR /app
2026-04-14 07:05:01 UTC (buildkit.dockerfile.v0)ARG PLATFORM=local
2026-04-14 07:05:01 UTC (buildkit.dockerfile.v0)RUN |1 PLATFORM=local /bin/sh -c <<EOF bash set -ex set -o pipefail trap 'echo "Exit status $? at line $LINENO from: $BASH_COMMAND"' ERR apt-get update DEBIAN_FRONTEND=noninteractive apt-get install -y curl python3.12 \ python3.12-venv python3.12-dev python3-pip ffmpeg \ build-essential git \ cmake pkg-config \ libcairo2-dev libjpeg-dev libgif-dev apt-get clean rm -rf /var/lib/apt/lists/* update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.12 1; EOF # buildkit
2026-04-14 07:05:01 UTC (buildkit.dockerfile.v0)ENV TIKTOKEN_CACHE_DIR=/app/.tiktoken
2026-04-14 07:05:09 UTC (buildkit.dockerfile.v0)RUN |1 PLATFORM=local /bin/sh -c <<EOF bash set -ex set -o pipefail trap 'echo "Exit status $? at line $LINENO from: $BASH_COMMAND"' ERR mv /usr/lib/python3.12/EXTERNALLY-MANAGED /usr/lib/python3.12/EXTERNALLY-MANAGED.bk python3 -m pip install uv uv pip install --system dify_plugin python3 -c "from uv._find_uv import find_uv_bin;print(find_uv_bin());" python3 -c "import tiktoken; encodings = ['o200k_base', 'cl100k_base', 'p50k_base', 'r50k_base', 'p50k_edit', 'gpt2']; [tiktoken.get_encoding(encoding).special_tokens_set for encoding in encodings]" EOF # buildkit
2026-04-14 07:05:09 UTC (buildkit.dockerfile.v0)ENV UV_PATH=/usr/local/bin/uv
2026-04-14 07:05:09 UTC (buildkit.dockerfile.v0)ENV PLATFORM=local
2026-04-14 07:05:09 UTC (buildkit.dockerfile.v0)ENV GIN_MODE=release
2026-04-14 07:05:42 UTC (buildkit.dockerfile.v0)COPY /app/main /app/commandline /app/ # buildkit
2026-04-14 07:05:42 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash" "-c" "/app/commandline migrate && exec /app/main"]